/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.124:3307
Source Database       : archives_sys

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-02-02 16:30:02
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门主键ID',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `principal` varchar(32) DEFAULT NULL COMMENT '负责人',
  `sort` int(5) DEFAULT NULL COMMENT '排序号',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='部门管理';

-- ----------------------------
-- Table structure for sys_dept_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept_user`;
CREATE TABLE `sys_dept_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门用户主键ID',
  `dept_id` varchar(20) DEFAULT NULL COMMENT '部门ID',
  `user_id` varchar(20) DEFAULT NULL COMMENT '用户ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_dept_id` (`dept_id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='部门用户表';

-- ----------------------------
-- Table structure for sys_dic
-- ----------------------------
DROP TABLE IF EXISTS `sys_dic`;
CREATE TABLE `sys_dic` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `key` varchar(50) DEFAULT NULL COMMENT '字典代码',
  `value` varchar(100) DEFAULT NULL COMMENT '字典值',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '字典描述',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='字典表';

-- ----------------------------
-- Table structure for sys_event_login
-- ----------------------------
DROP TABLE IF EXISTS `sys_event_login`;
CREATE TABLE `sys_event_login` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(50) DEFAULT NULL COMMENT '日志标题',
  `request_uri` varchar(100) DEFAULT NULL COMMENT '请求地址',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `account` varchar(50) NOT NULL COMMENT '账户名',
  `client_host` varchar(50) DEFAULT NULL COMMENT '登录IP地址',
  `user_agent` varchar(200) DEFAULT NULL COMMENT '用户代理',
  `status` int(2) NOT NULL DEFAULT '1' COMMENT '请求状态',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '字典描述',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_account` (`account`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='登录日志表';

-- ----------------------------
-- Table structure for sys_event_oper
-- ----------------------------
DROP TABLE IF EXISTS `sys_event_oper`;
CREATE TABLE `sys_event_oper` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(50) DEFAULT NULL COMMENT '日志标题',
  `request_uri` varchar(100) DEFAULT NULL COMMENT '请求地址',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `account` varchar(50) NOT NULL COMMENT '账户名',
  `client_host` varchar(50) DEFAULT NULL COMMENT '登录IP地址',
  `parameter` varchar(1024) DEFAULT NULL COMMENT '请求参数',
  `method` varchar(50) DEFAULT NULL COMMENT '请求方法',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '字典描述',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_account` (`account`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='操作日志表';

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(100) DEFAULT NULL COMMENT '菜单名称',
  `menu_type` smallint(2) DEFAULT NULL COMMENT '菜单类型（0:CURD；1:系统菜单；2:业务菜单）',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级菜单ID',
  `request` varchar(100) DEFAULT NULL COMMENT '请求地址',
  `expand` tinyint(1) NOT NULL DEFAULT '0' COMMENT '展开状态(1:展开;0:收缩)',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '叶子节点(0:树枝节点;1:叶子节点)',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='菜单表';

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '公告编号',
  `notice_title` varchar(128) NOT NULL COMMENT '公告标题',
  `notice_type` varchar(8) NOT NULL COMMENT '公告类型',
  `send_time` datetime DEFAULT NULL COMMENT '发布时间',
  `sources_url` varchar(2048) DEFAULT NULL COMMENT '来源地址',
  `content` text COMMENT '内容',
  `status` varchar(2) NOT NULL DEFAULT '1' COMMENT '发布状态',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='通知公告表';

-- ----------------------------
-- Table structure for sys_param
-- ----------------------------
DROP TABLE IF EXISTS `sys_param`;
CREATE TABLE `sys_param` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `key` varchar(50) DEFAULT NULL COMMENT '参数key',
  `value` varchar(100) DEFAULT NULL COMMENT '参数值',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='系统参数表';

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '权限ID',
  `name` varchar(100) DEFAULT NULL COMMENT '权限名称',
  `code` smallint(2) DEFAULT NULL COMMENT '权限代码',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级菜单ID',
  `description` varchar(100) DEFAULT NULL COMMENT '权限描述',
  `menu_id` varchar(20) DEFAULT NULL COMMENT '所属菜单ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='权限表';

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(50) DEFAULT NULL COMMENT '角色名称',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='角色表';

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色授权ID',
  `role_id` varchar(20) DEFAULT NULL COMMENT '角色ID',
  `permission_id` varchar(20) DEFAULT NULL COMMENT '权限ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='角色授权表';

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户主键ID',
  `account` varchar(20) DEFAULT NULL COMMENT '登陆帐户',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `user_type` varchar(2) DEFAULT '1' COMMENT '用户类型(1普通用户2管理员3系统用户)',
  `user_name` varchar(30) DEFAULT NULL COMMENT '姓名',
  `phone` varchar(50) DEFAULT NULL COMMENT '电话',
  `email` varchar(64) DEFAULT NULL COMMENT '邮箱',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门编号',
  `position` varchar(64) DEFAULT NULL COMMENT '职位',
  `address` varchar(256) DEFAULT NULL COMMENT '详细地址',
  `staff_no` varchar(32) DEFAULT NULL COMMENT '工号',
  `ext1` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `ext2` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `ext3` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `ext4` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `enable` tinyint(1) NOT NULL DEFAULT '1',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  UNIQUE KEY `account` (`account`),
  KEY `index_account` (`account`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='用户管理';

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户角色表主键ID',
  `role_id` varchar(20) DEFAULT NULL COMMENT '角色ID',
  `user_id` varchar(20) DEFAULT NULL COMMENT '用户ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_role_id` (`role_id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='用户角色表';
